Imagick::compositeImage
Imagick::contrastImage
Imagick
PHP Manual

# Imagick::__construct

The Imagick constructor

### Description

Imagick::__construct ( mixed `$files` )

Creates an Imagick instance for a specified image or set of images.

### Parameters

`files`

  The path to an image to load or an array of paths. Paths can include wildcards for file names, or can be URLs.

### Return Values

Returns a new Imagick object on success.

### Errors/Exceptions

Throws ImagickException on error.